#! /usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (c) Polyconseil SAS. All rights reserved.
from setuptools import setup, find_packages


def read(filename):
    with open(filename) as f:
        return f.read()


setup(
    name='rabot',
    version='0.0.7',
    description="Integration machine Bot",
    long_description=read('readme.rst'),
    keywords='integration test',
    url='http://github.com/polyconseil/integration/rabot',
    author='Polyconseil',
    packages=find_packages(),
    include_package_data=True,
    zip_safe=True,
    install_requires=[
        'flask',
    ],
    extras_require={},
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Testing',
        'Topic :: System :: Systems Administration',
    ],
    entry_points={
        'console_scripts': (
            'rabot = rabot.__main__:main',
        ),
    },
)
